<!-------------------------------------------------------------------------------------------------
  - #%L                                                                                           -
  - chvote-pact                                                                                   -
  - %%                                                                                            -
  - Copyright (C) 2016 - 2018 République et Canton de Genève                                      -
  - %%                                                                                            -
  - This program is free software: you can redistribute it and/or modify                          -
  - it under the terms of the GNU Affero General Public License as published by                   -
  - the Free Software Foundation, either version 3 of the License, or                             -
  - (at your option) any later version.                                                           -
  -                                                                                               -
  - This program is distributed in the hope that it will be useful,                               -
  - but WITHOUT ANY WARRANTY; without even the implied warranty of                                -
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                  -
  - GNU General Public License for more details.                                                  -
  -                                                                                               -
  - You should have received a copy of the GNU Affero General Public License                      -
  - along with this program. If not, see <http://www.gnu.org/licenses/>.                          -
  - #L%                                                                                           -
  ------------------------------------------------------------------------------------------------->

<mat-card>
  <mat-card-header>
    <mat-card-title class="action-table-title">
      {{ i18nLabel + '.table.card.title' | translate }}
    </mat-card-title>
  </mat-card-header>
  <mat-card-content>
    <mat-table class="action-table" #table [dataSource]="dataSource">
      <mat-header-row *matHeaderRowDef="columns"></mat-header-row>
      <mat-row *matRowDef="let row; columns: columns;"></mat-row>

      <ng-container *ngFor="let column of columns" matColumnDef="{{ column }}">
        <mat-header-cell *matHeaderCellDef>
          {{ i18nLabel + '.fieldNames.' + column | translate }}
        </mat-header-cell>
        <mat-cell *matCellDef="let row">
          <pact-action-detail-value [action]="row[column]"></pact-action-detail-value>
        </mat-cell>
      </ng-container>
    </mat-table>

    <div *ngIf="dataSource.empty" class="pact-empty-table-msg">
      {{ i18nLabel + '.table.empty' | translate }}
    </div>
  </mat-card-content>
</mat-card>
